Package org.bukkit.event.player

# Enum Class PlayerGameModeChangeEvent.Cause

java.lang.Object
java.lang.Enum<PlayerGameModeChangeEvent.Cause>
org.bukkit.event.player.PlayerGameModeChangeEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerGameModeChangeEvent.Cause>`, `Constable`

Enclosing class:
  PlayerGameModeChangeEvent

public static enum PlayerGameModeChangeEvent.Cause extends Enum<PlayerGameModeChangeEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
The `/gamemode` command was used.
`DEFAULT_GAMEMODE`
A player had their gamemode changed as a result of the `/defaultgamemode` command, or they joined with a gamemode that was not the default gamemode and `force-gamemode` in `server.properties` is set to true.
`HARDCORE_DEATH`
When the player dies in a hardcore world and has their gamemode changed to `GameMode.SPECTATOR`.
`PLUGIN`
A plugin changed the player's gamemode with `HumanEntity.setGameMode(GameMode)`.
`UNKNOWN`
This cause is only used if a plugin fired their own `PlayerGameModeChangeEvent` and did not include a cause.

## Method Summary

Modifier and Type
Method
Description
`static PlayerGameModeChangeEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerGameModeChangeEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PLUGIN

public static final PlayerGameModeChangeEvent.Cause PLUGIN
A plugin changed the player's gamemode with `HumanEntity.setGameMode(GameMode)`.

### COMMAND

public static final PlayerGameModeChangeEvent.Cause COMMAND
The `/gamemode` command was used.

### DEFAULT_GAMEMODE

public static final PlayerGameModeChangeEvent.Cause DEFAULT_GAMEMODE
A player had their gamemode changed as a result of the `/defaultgamemode` command, or they joined with a gamemode that was not the default gamemode and `force-gamemode` in `server.properties` is set to true.

### HARDCORE_DEATH

public static final PlayerGameModeChangeEvent.Cause HARDCORE_DEATH
When the player dies in a hardcore world and has their gamemode changed to `GameMode.SPECTATOR`.

### UNKNOWN

public static final PlayerGameModeChangeEvent.Cause UNKNOWN
This cause is only used if a plugin fired their own `PlayerGameModeChangeEvent` and did not include a cause. Can usually be ignored.

## Method Details

### values

public static PlayerGameModeChangeEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerGameModeChangeEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null